List Scheduled Job Groups

Retrieves all scheduled job groups for an application.

GET/api/v1/{team_slug}/{app_slug}/schedule/groups
API
Management
Updated
Apr 26, 2026

management-api:GET:/api/v1/{team_slug}/{app_slug}/schedule/groups

Retrieves all scheduled job groups for an application.

API ownership

  • API family: Management API
  • Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data.
  • Do not use from: Browser-only storefront code or public clients.
  • Guide route: /apis/management/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/schedule/groups
  • Summary: List Scheduled Job Groups
  • Description: Retrieves all scheduled job groups for an application.
  • OpenAPI contract: management-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters4 parameters
NameInRequiredTypeDescription
app_slugpathYesstringApp slug
team_slugpathYesstringTeam slug
pagequeryNointegerPage number (default is 1)
per-pagequeryNointegerAmount of groups per page. Minimum 1 and max 100 (default is 20)
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses3 statuses
StatusDescriptionContent
200Scheduled job groupsapplication/json (object)
401Unauthorized accessapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Scheduling Group List

PropertyTypeRequiredDetails
dataobject[]Yes-
successbooleanNo-
totalintegerNo-
total_pagesintegerNo-
Job Group
PropertyTypeRequiredDetails
created_atstringNo-
idstringNo-
jobsobject[]No-
namestringNo-
Job
PropertyTypeRequiredDetails
add_category_namesstring[]No-
add_collection_namesstring[]No-
add_tag_namesstring[]No-
execute_atstringNoDate when the job should run
finished_atstringNoIf a job is finished will this timestamp be filled
group_idstringNo-
idstringNo-
item_idstringNo-
item_namestringNo-
item_typestringNo-
remove_category_namesstring[]No-
remove_collection_namesstring[]No-
remove_tag_namesstring[]No-
to_amount_cents_with_taxintegerNo-
to_market_idstringNo-
to_market_statusstringNo-
to_on_salebooleanNo-
to_sale_amount_cents_with_taxintegerNo-
to_start_sale_timestampstringNo-
to_statusstringNo-
to_stop_sale_timestampstringNo-
to_store_group_idstringNo-

Generated example (synthetic):

{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "jobs": [
        {
          "add_category_names": null,
          "add_collection_names": null,
          "add_tag_names": null,
          "execute_at": null,
          "finished_at": null,
          "group_id": null,
          "id": null,
          "item_id": null,
          "item_name": null,
          "item_type": null,
          "remove_category_names": null,
          "remove_collection_names": null,
          "remove_tag_names": null,
          "to_amount_cents_with_tax": null,
          "to_market_id": null,
          "to_market_status": null,
          "to_on_sale": null,
          "to_sale_amount_cents_with_tax": null,
          "to_start_sale_timestamp": null,
          "to_status": null,
          "to_stop_sale_timestamp": null,
          "to_store_group_id": null
        }
      ],
      "name": "string"
    }
  ],
  "success": false,
  "total": 0,
  "total_pages": 0
}

401 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanYes-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanYes-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Management API
  • Method: GET
  • Path: /api/v1/\{team_slug\}/\{app_slug\}/schedule/groups
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Scheduling
  • OpenAPI summary: List Scheduled Job Groups

List Scheduled Job Groups

# List Scheduled Job Groups Retrieves all scheduled job groups for an application.
GET /api/v1/{team_slug}/{app_slug}/schedule/groups
Purpose

Retrieves all scheduled job groups for an application.

Required inputs

app_slug path team_slug path

Primary response

200 ยท Scheduled job groups

Operation key

management-api:GET:/api/v1/{team_slug}/{app_slug}/schedule/groups

## API ownership - API family: Management API - Best for: Trusted back-office workflows that create, update, organize, or delete merchant-owned data. - Do not use from: Browser-only storefront code or public clients. - Guide route: [/apis/management/latest](/apis/management/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/schedule/groups` - Summary: List Scheduled Job Groups - Description: Retrieves all scheduled job groups for an application. - OpenAPI contract: management-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/schedule/groups` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_slug | path | Yes | string | App slug | | team_slug | path | Yes | string | Team slug | | page | query | No | integer | Page number (default is 1) | | per-page | query | No | integer | Amount of groups per page. Minimum 1 and max 100 (default is 20) | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Scheduled job groups | application/json (object) | | 401 | Unauthorized access | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Scheduling Group List | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object[] | Yes | - | | `success` | boolean | No | - | | `total` | integer | No | - | | `total_pages` | integer | No | - | ##### Job Group | Property | Type | Required | Details | | --- | --- | --- | --- | | `created_at` | string | No | - | | `id` | string | No | - | | `jobs` | object[] | No | - | | `name` | string | No | - | ##### Job | Property | Type | Required | Details | | --- | --- | --- | --- | | `add_category_names` | string[] | No | - | | `add_collection_names` | string[] | No | - | | `add_tag_names` | string[] | No | - | | `execute_at` | string | No | Date when the job should run | | `finished_at` | string | No | If a job is finished will this timestamp be filled | | `group_id` | string | No | - | | `id` | string | No | - | | `item_id` | string | No | - | | `item_name` | string | No | - | | `item_type` | string | No | - | | `remove_category_names` | string[] | No | - | | `remove_collection_names` | string[] | No | - | | `remove_tag_names` | string[] | No | - | | `to_amount_cents_with_tax` | integer | No | - | | `to_market_id` | string | No | - | | `to_market_status` | string | No | - | | `to_on_sale` | boolean | No | - | | `to_sale_amount_cents_with_tax` | integer | No | - | | `to_start_sale_timestamp` | string | No | - | | `to_status` | string | No | - | | `to_stop_sale_timestamp` | string | No | - | | `to_store_group_id` | string | No | - | **Generated example (synthetic):** ```json { "data": [ { "created_at": "string", "id": "string", "jobs": [ { "add_category_names": null, "add_collection_names": null, "add_tag_names": null, "execute_at": null, "finished_at": null, "group_id": null, "id": null, "item_id": null, "item_name": null, "item_type": null, "remove_category_names": null, "remove_collection_names": null, "remove_tag_names": null, "to_amount_cents_with_tax": null, "to_market_id": null, "to_market_status": null, "to_on_sale": null, "to_sale_amount_cents_with_tax": null, "to_start_sale_timestamp": null, "to_status": null, "to_stop_sale_timestamp": null, "to_store_group_id": null } ], "name": "string" } ], "success": false, "total": 0, "total_pages": 0 } ``` ### 401 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | Yes | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | Yes | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Management API - Method: `GET` - Path: `/api/v1/{team_slug}/{app_slug}/schedule/groups` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `management-api:GET:/api/v1/{team_slug}/{app_slug}/schedule/groups` - OpenAPI tag: Scheduling - OpenAPI summary: List Scheduled Job Groups